T
tRPC

❓-help

'react-server-dom-webpack/client' error

OOreki1/21/2024
Hey, i am trying to get started with TRPC but getting this error
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/fetch-server-response.js
Module not found: Can't resolve 'react-server-dom-webpack/client'

https://nextjs.org/docs/messages/module-not-found

Import trace for requested module:
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/reducers/navigate-reducer.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/router-reducer.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/shared/lib/router/action-queue.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/use-reducer-with-devtools.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/app-router.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/app-call-server.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/build/webpack/loaders/next-flight-loader/action-client-wrapper.js
./src/lib/trpc/index.ts
./src/pages/_app.tsx
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/fetch-server-response.js
Module not found: Can't resolve 'react-server-dom-webpack/client'

https://nextjs.org/docs/messages/module-not-found

Import trace for requested module:
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/reducers/navigate-reducer.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/router-reducer/router-reducer.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/shared/lib/router/action-queue.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/use-reducer-with-devtools.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/components/app-router.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/client/app-call-server.js
../../node_modules/.pnpm/next@14.0.4_@babel+core@7.23.7_@opentelemetry+api@1.7.0_react-dom@18.2.0_react@18.2.0/node_modules/next/dist/build/webpack/loaders/next-flight-loader/action-client-wrapper.js
./src/lib/trpc/index.ts
./src/pages/_app.tsx

Looking for more? Join the community!